#include <iostream>

using namespace std;

int main()
{
    int n,l,x,kraj=-1;
    cin>>n>>l;
    for (int i=0;i<n;i++){
        cin>>x;
        if (l>=x){
            kraj=i+1;
            break;
        }
    }
    cout<<kraj;
}